API Reference
Pilots
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/loss/pilots JWT API KeyGet pilots
Query parameters
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/loss/pilots" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/loss/pilots JWT API KeyCreate pilots
Request body
application/json
{
"restaurantName": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"note": "string"
}| restaurantName string | — |
| startDate string (date) | — |
| endDate string (date) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/pilots" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"restaurantName": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/loss/pilots/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/loss/pilots/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/loss/pilots/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"restaurantName": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"note": "string",
"checklist": null,
"finalReportStatus": "string"
}| restaurantName string | — |
| startDate string (date) | — |
| endDate string (date) | — |
| note string | — |
| checklist object | — |
| finalReportStatus string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/loss/pilots/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"restaurantName": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"note": "string",
"checklist": null,
"finalReportStatus": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/loss/pilots/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/loss/pilots/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/loss/pilots/{id}/status JWT API KeyCreate status
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"status": "string"
}| status string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/pilots/{id}/status" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"status": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu